Package htsjdk.beta.codecs.reads.bam

# Class BAMDecoderOptions

java.lang.Object
htsjdk.beta.codecs.reads.bam.BAMDecoderOptions

public class BAMDecoderOptions extends Object
Decoder options specific to BAM decoders.

## Constructor Summary

Constructors
Constructor
Description
`BAMDecoderOptions()`

## Method Summary

Modifier and Type
Method
Description
`InflaterFactory`
`getInflaterFactory()`
Get the `InflaterFactory` used for these options.
`boolean`
`isAsyncIO()`
Determine if async IO is enabled for these options.
`boolean`
`isValidateCRCChecksums()`
Determine whether validation of CRC checksums is enabled for these options.
`BAMDecoderOptions`
`setAsyncIO(boolean asyncIO)`
Set whether async IO is enable for these options.
`BAMDecoderOptions`
`setInflaterFactory(InflaterFactory inflaterFactory)`
Set the `InflaterFactory` to use for these options.
`BAMDecoderOptions`
`setValidateCRCChecksums(boolean validateCRCChecksums)`
Set whether validation of CRC checksums should be enabled for these options.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BAMDecoderOptions

public BAMDecoderOptions()

## Method Details

### getInflaterFactory

public InflaterFactory getInflaterFactory()
Get the `InflaterFactory` used for these options. Defaults to `BlockGunzipper.getDefaultInflaterFactory()`.

Returns:
  the `InflaterFactory` used for these options

### setInflaterFactory

public BAMDecoderOptions setInflaterFactory(InflaterFactory inflaterFactory)
Set the `InflaterFactory` to use for these options. Defaults value is `BlockGunzipper.getDefaultInflaterFactory()`.

Parameters:
  `inflaterFactory` - inflater factory to use
Returns:
  updated BAMDecoderOptions

### isAsyncIO

public boolean isAsyncIO()
Determine if async IO is enabled for these options. Defaults to `Defaults.USE_ASYNC_IO_READ_FOR_SAMTOOLS`.

Returns:
  true if async IO is enabled for these options

### setAsyncIO

public BAMDecoderOptions setAsyncIO(boolean asyncIO)
Set whether async IO is enable for these options. Defaults value is `Defaults.USE_ASYNC_IO_READ_FOR_SAMTOOLS`.

Parameters:
  `asyncIO` - true if async IO should be used, otherwise false
Returns:
  updated BAMDecoderOptions

### isValidateCRCChecksums

public boolean isValidateCRCChecksums()
Determine whether validation of CRC checksums is enabled for these options. Defaults to false.

Returns:
  true if CRC validation is enabled, otherwise false

### setValidateCRCChecksums

public BAMDecoderOptions setValidateCRCChecksums(boolean validateCRCChecksums)
Set whether validation of CRC checksums should be enabled for these options. Defaults value is false.

Parameters:
  `validateCRCChecksums` - true to enable CRC validation, otherwise false
Returns:
  updated BAMDecoderOptions